{
  ...
}:
let
  port = 9090;
  grafanaPort = 3000;
in
{
  services.prometheus = {
    enable = true;
    inherit port;
    scrapeConfigs = [
      {
        job_name = "endlessh-go";
        static_configs = [ { targets = [ "raptus:9090" ]; } ];
      }
    ];
  };

  networking.firewall.allowedTCPPorts = [
    port
    grafanaPort
  ];

  services.grafana = {
    enable = true;
    settings = {
      analytics.enabled = false;
      server = {
        http_addr = "0.0.0.0";
        http_port = grafanaPort;
      };
    };
  };
}
